- supports_quick_actions = local_assigns.fetch(:supports_quick_actions, false)
.comment-toolbar.clearfix
  .toolbar-text
    = link_to _('Markdown'), help_page_path('user/markdown'), target: '_blank'
    - if supports_quick_actions
      and
      = link_to _('quick actions'), help_page_path('user/project/quick_actions'), target: '_blank'
      are
    - else
      is
    supported

  %span.uploading-container
    %span.uploading-progress-container.hide
      = icon('file-image-o', class: 'toolbar-button-icon')
      %span.attaching-file-message
        -# Populated by app/assets/javascripts/dropzone_input.js
      %span.uploading-progress 0%
      %span.uploading-spinner
        .toolbar-button-icon.spinner.align-text-top

    %span.uploading-error-container.hide
      %span.uploading-error-icon
        = icon('file-image-o', class: 'toolbar-button-icon')
      %span.uploading-error-message
        -# Populated by app/assets/javascripts/dropzone_input.js
      %button.retry-uploading-link{ type: 'button' }= _("Try again")
      or
      %button.attach-new-file.markdown-selector{ type: 'button' }= _("attach a new file")

    %button.markdown-selector.button-attach-file.btn-link{ type: 'button' }
      = icon('file-image-o', class: 'toolbar-button-icon')
      %span.text-attach-file<>
        = _("Attach a file")

    %button.btn.btn-default.btn-sm.hide.button-cancel-uploading-files{ type: 'button' }= _("Cancel")
